Edit a milestone
curl --request PATCH \
--url https://gogs.example.com/api/v1/repos/{owner}/{repo}/milestones/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"due_on": "2023-11-07T05:31:56Z"
}
'{
"id": 123,
"state": "open",
"title": "<string>",
"description": "<string>",
"open_issues": 123,
"closed_issues": 123,
"closed_at": "2023-11-07T05:31:56Z",
"due_on": "2023-11-07T05:31:56Z"
}Issues
Edit a milestone
PATCH
/
repos
/
{owner}
/
{repo}
/
milestones
/
{id}
Edit a milestone
curl --request PATCH \
--url https://gogs.example.com/api/v1/repos/{owner}/{repo}/milestones/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"due_on": "2023-11-07T05:31:56Z"
}
'{
"id": 123,
"state": "open",
"title": "<string>",
"description": "<string>",
"open_issues": 123,
"closed_issues": 123,
"closed_at": "2023-11-07T05:31:56Z",
"due_on": "2023-11-07T05:31:56Z"
}Authorizations
Personal access token. Use format: token {YOUR_ACCESS_TOKEN}
Path Parameters
Repository owner
Repository name
Milestone ID
Body
application/json